# IRfBSEventFn Interface Reference

Inherits IRsObject.

List of all members.

## Public Member Functions
HRESULT | CreateBSEAddConObj ([out, retval] IRsBSEAddCon **ppObj)
HRESULT | CreateBSERemConObj ([out, retval] IRsBSERemCon **ppObj)
HRESULT | CreateBSEConnectObj ([out, retval] IRsBSEConnect **ppObj)
HRESULT | CreateBSEDisconnectObj ([out, retval] IRsBSEDisconnect **ppObj)
HRESULT | CreateBSEObject ([in] RtNotifyEvent eEvent,[out, retval] IRsBSEvent **ppObjEvent)
HRESULT | CreateBSEBlockObj ([out, retval] IRsBSEventBlock **ppObj)
HRESULT | CreateBSERepository ([out, retval] IRsBSEBlockRepository **ppRepository)
HRESULT | CreateBSEIdRegister ([out, retval] IRsBSEIdRegister **ppRegister)

## Detailed Description

Function set for base events used in network shared space synchronizations. Fn set serves as factory for events.

## Member Function Documentation

HRESULT IRfBSEventFn::CreateBSEAddConObj | ( | [out, retval] IRsBSEAddCon ** | ppObj | ) |

Creates event for add connector operation.

Parameters:

  | ppObj | [out,retval] Returned event object.

HRESULT IRfBSEventFn::CreateBSERemConObj | ( | [out, retval] IRsBSERemCon ** | ppObj | ) |

Creates event for remove connector operation.

Parameters:

  | ppObj | [out,retval] Returned event object.

HRESULT IRfBSEventFn::CreateBSEConnectObj | ( | [out, retval] IRsBSEConnect ** | ppObj | ) |

Creates event for connecting connectors operation.

Parameters:

  | ppObj | [out,retval] Returned event object.

HRESULT IRfBSEventFn::CreateBSEDisconnectObj | ( | [out, retval] IRsBSEDisconnect ** | ppObj | ) |

Creates event for disconnecting connectors operation.

Parameters:

  | ppObj | [out,retval] Returned event object.

HRESULT IRfBSEventFn::CreateBSEObject | ( | [in] RtNotifyEvent | eEvent,
|  | [out, retval] IRsBSEvent ** | ppObjEvent |
| ) |  |  |

Creates event object from specified event type.

Parameters:

  | eEvent | [in] Event type (

See also:
  RtNotifyEvent).

Parameters:

  | ppObjEvent | [out,retval] Returned event object.

HRESULT IRfBSEventFn::CreateBSEBlockObj | ( | [out, retval] IRsBSEventBlock ** | ppObj | ) |

Creates block of elementary events.

Parameters:

  | ppObj | [out,retval] Returned event object.

HRESULT IRfBSEventFn::CreateBSERepository | ( | [out, retval] IRsBSEBlockRepository ** | ppRepository | ) |

Creates repository of events.

Parameters:

  | ppRepository | [out,retval] Returned event repository.

HRESULT IRfBSEventFn::CreateBSEIdRegister | ( | [out, retval] IRsBSEIdRegister ** | ppRegister | ) |

Creates events identification register.

Parameters:

  | ppRegister | [out,retval] Returned event identification register.